Professional Web Applications Themes

#40835 [NEW]: "Incompatible with prototype" warnings - PHP Bugs

From: ian at onlineloop dot com Operating system: Solaris 10 PHP version: 5.2.1 PHP Bug Type: Compile Warning Bug description: "Incompatible with prototype" warnings Description: ------------ When compiling PHP 5.2.1 on Solaris 10, sparc, with Studio 10 compilers from Sun Microsystems, the build completes, however there are numerous warnings about the prototype declarations not matching their usage in the source code. A number of external libraries, such as libxml2, openssl, openldap, and so on have been compiled from source on the same system with the same compiler. Because of the large number of warnings and the resulting size of the ...

  1. #1

    Default #40835 [NEW]: "Incompatible with prototype" warnings

    From: ian at onlineloop dot com
    Operating system: Solaris 10
    PHP version: 5.2.1
    PHP Bug Type: Compile Warning
    Bug description: "Incompatible with prototype" warnings

    Description:
    ------------
    When compiling PHP 5.2.1 on Solaris 10, sparc, with Studio 10 compilers
    from Sun Microsystems, the build completes, however there are numerous
    warnings about the prototype declarations not matching their usage in the
    source code.

    A number of external libraries, such as libxml2, openssl, openldap, and so
    on have been compiled from source on the same system with the same
    compiler.

    Because of the large number of warnings and the resulting size of the
    output, a text file will be added to this report containing a complete
    history of the build, or failing that a link to a url.

    If further information is needed, please tell me and I will provide it
    asap.

    # uname -a
    SunOS devel 5.10 Generic sun4u sparc SUNW,Sun-Fire-V440

    # cc -V
    cc: Sun C 5.7 2005/01/07

    # ld -V
    ild: Sun Incremental Linker 4.3 2005/01/07

    # env | grep FLA
    LDFLAGS=-L/opt/sfw/lib -L/usr/sfw/lib -L/usr/local/open-ldap/lib
    -L/usr/lib -L/usr/local/BerkeleyDB/lib -R/opt/sfw/lib -R/usr/sfw/lib
    -R/usr/local/open-ldap/lib -R/usr/local/BerkeleyDB/lib -R/usr/lib
    CPPFLAGS=-I/opt/sfw/include -I/usr/sfw/include/openssl
    -I/usr/local/open-ldap/include -I/usr/local/BerkeleyDB/include/
    -I/usr/include
    CFLAGS=-I/opt/sfw/include -I/usr/sfw/include/openssl
    -I/usr/local/open-ldap/include -I/usr/local/BerkeleyDB/include
    -I/usr/include





    --
    Edit bug report at http://bugs.php.net/?id=40835&edit=1
    --
    Try a CVS snapshot (PHP 4.4): http://bugs.php.net/fix.php?id=40835&r=trysnapshot44
    Try a CVS snapshot (PHP 5.2): http://bugs.php.net/fix.php?id=40835&r=trysnapshot52
    Try a CVS snapshot (PHP 6.0): http://bugs.php.net/fix.php?id=40835&r=trysnapshot60
    Fixed in CVS: http://bugs.php.net/fix.php?id=40835&r=fixedcvs
    Fixed in release: http://bugs.php.net/fix.php?id=40835&r=alreadyfixed
    Need backtrace: http://bugs.php.net/fix.php?id=40835&r=needtrace
    Need Reproduce Script: http://bugs.php.net/fix.php?id=40835&r=needscript
    Try newer version: http://bugs.php.net/fix.php?id=40835&r=oldversion
    Not developer issue: http://bugs.php.net/fix.php?id=40835&r=support
    Expected behavior: http://bugs.php.net/fix.php?id=40835&r=notwrong
    Not enough info: http://bugs.php.net/fix.php?id=40835&r=notenoughinfo
    Submitted twice: http://bugs.php.net/fix.php?id=40835&r=submittedtwice
    register_globals: http://bugs.php.net/fix.php?id=40835&r=globals
    PHP 3 support discontinued: http://bugs.php.net/fix.php?id=40835&r=php3
    Daylight Savings: http://bugs.php.net/fix.php?id=40835&r=dst
    IIS Stability: http://bugs.php.net/fix.php?id=40835&r=isapi
    Install GNU Sed: http://bugs.php.net/fix.php?id=40835&r=gnused
    Floating point limitations: http://bugs.php.net/fix.php?id=40835&r=float
    No Zend Extensions: http://bugs.php.net/fix.php?id=40835&r=nozend
    MySQL Configuration Error: http://bugs.php.net/fix.php?id=40835&r=mysqlcfg
    ian Guest

  2. #2

    Default #40835 [Opn->Fbk]: "Incompatible with prototype" warnings

    ID: 40835
    Updated by: net
    Reported By: ian at onlineloop dot com
    -Status: Open
    +Status: Feedback
    Bug Type: Compile Warning
    Operating System: Solaris 10
    PHP Version: 5.2.1
    New Comment:

    It would be very good to have an access to a machine with Sun Compiler,
    just for tests. As far as I know at the moment none of developers use
    Sun Compiler or test the builds using it.


    Previous Comments:
    ------------------------------------------------------------------------

    [2007-03-16 14:56:42] ian at onlineloop dot com

    Description:
    ------------
    When compiling PHP 5.2.1 on Solaris 10, sparc, with Studio 10 compilers
    from Sun Microsystems, the build completes, however there are numerous
    warnings about the prototype declarations not matching their usage in
    the source code.

    A number of external libraries, such as libxml2, openssl, openldap, and
    so on have been compiled from source on the same system with the same
    compiler.

    Because of the large number of warnings and the resulting size of the
    output, a text file will be added to this report containing a complete
    history of the build, or failing that a link to a url.

    If further information is needed, please tell me and I will provide it
    asap.

    # uname -a
    SunOS devel 5.10 Generic sun4u sparc SUNW,Sun-Fire-V440

    # cc -V
    cc: Sun C 5.7 2005/01/07

    # ld -V
    ild: Sun Incremental Linker 4.3 2005/01/07

    # env | grep FLA
    LDFLAGS=-L/opt/sfw/lib -L/usr/sfw/lib -L/usr/local/open-ldap/lib
    -L/usr/lib -L/usr/local/BerkeleyDB/lib -R/opt/sfw/lib -R/usr/sfw/lib
    -R/usr/local/open-ldap/lib -R/usr/local/BerkeleyDB/lib -R/usr/lib
    CPPFLAGS=-I/opt/sfw/include -I/usr/sfw/include/openssl
    -I/usr/local/open-ldap/include -I/usr/local/BerkeleyDB/include/
    -I/usr/include
    CFLAGS=-I/opt/sfw/include -I/usr/sfw/include/openssl
    -I/usr/local/open-ldap/include -I/usr/local/BerkeleyDB/include
    -I/usr/include






    ------------------------------------------------------------------------


    --
    Edit this bug report at http://bugs.php.net/?id=40835&edit=1
    tony2001@php.net Guest

  3. #3

    Default #40835 [Fbk->Opn]: "Incompatible with prototype" warnings

    ID: 40835
    User updated by: ian at onlineloop dot com
    Reported By: ian at onlineloop dot com
    -Status: Feedback
    +Status: Open
    Bug Type: Compile Warning
    Operating System: Solaris 10
    PHP Version: 5.2.1
    New Comment:

    OK, so it seems no text file attachments are possible, as such a link
    to the build history.

    http://www.meduniwien.ac.at/user/ib/php-5.2.1-solaris10_build.log.gz

    As for access to a machine, I will try to arrange something in the next
    couple of weeks.


    Previous Comments:
    ------------------------------------------------------------------------

    [2007-03-16 15:04:39] net

    It would be very good to have an access to a machine with Sun Compiler,
    just for tests. As far as I know at the moment none of developers use
    Sun Compiler or test the builds using it.

    ------------------------------------------------------------------------

    [2007-03-16 14:56:42] ian at onlineloop dot com

    Description:
    ------------
    When compiling PHP 5.2.1 on Solaris 10, sparc, with Studio 10 compilers
    from Sun Microsystems, the build completes, however there are numerous
    warnings about the prototype declarations not matching their usage in
    the source code.

    A number of external libraries, such as libxml2, openssl, openldap, and
    so on have been compiled from source on the same system with the same
    compiler.

    Because of the large number of warnings and the resulting size of the
    output, a text file will be added to this report containing a complete
    history of the build, or failing that a link to a url.

    If further information is needed, please tell me and I will provide it
    asap.

    # uname -a
    SunOS devel 5.10 Generic sun4u sparc SUNW,Sun-Fire-V440

    # cc -V
    cc: Sun C 5.7 2005/01/07

    # ld -V
    ild: Sun Incremental Linker 4.3 2005/01/07

    # env | grep FLA
    LDFLAGS=-L/opt/sfw/lib -L/usr/sfw/lib -L/usr/local/open-ldap/lib
    -L/usr/lib -L/usr/local/BerkeleyDB/lib -R/opt/sfw/lib -R/usr/sfw/lib
    -R/usr/local/open-ldap/lib -R/usr/local/BerkeleyDB/lib -R/usr/lib
    CPPFLAGS=-I/opt/sfw/include -I/usr/sfw/include/openssl
    -I/usr/local/open-ldap/include -I/usr/local/BerkeleyDB/include/
    -I/usr/include
    CFLAGS=-I/opt/sfw/include -I/usr/sfw/include/openssl
    -I/usr/local/open-ldap/include -I/usr/local/BerkeleyDB/include
    -I/usr/include






    ------------------------------------------------------------------------


    --
    Edit this bug report at http://bugs.php.net/?id=40835&edit=1
    ian Guest

  4. #4

    Default #40835 [Opn->Asn]: "Incompatible with prototype" warnings

    ID: 40835
    Updated by: net
    Reported By: ian at onlineloop dot com
    -Status: Open
    +Status: Assigned
    Bug Type: Compile Warning
    Operating System: Solaris 10
    PHP Version: 5.2.1
    -Assigned To:
    +Assigned To: tony2001
    New Comment:

    Most of these warnings can be safely ignored (and do not exist if you
    use less strict compiler).


    Previous Comments:
    ------------------------------------------------------------------------

    [2007-03-16 15:34:49] ian at onlineloop dot com

    OK, so it seems no text file attachments are possible, as such a link
    to the build history.

    http://www.meduniwien.ac.at/user/ib/php-5.2.1-solaris10_build.log.gz

    As for access to a machine, I will try to arrange something in the next
    couple of weeks.

    ------------------------------------------------------------------------

    [2007-03-16 15:04:39] net

    It would be very good to have an access to a machine with Sun Compiler,
    just for tests. As far as I know at the moment none of developers use
    Sun Compiler or test the builds using it.

    ------------------------------------------------------------------------

    [2007-03-16 14:56:42] ian at onlineloop dot com

    Description:
    ------------
    When compiling PHP 5.2.1 on Solaris 10, sparc, with Studio 10 compilers
    from Sun Microsystems, the build completes, however there are numerous
    warnings about the prototype declarations not matching their usage in
    the source code.

    A number of external libraries, such as libxml2, openssl, openldap, and
    so on have been compiled from source on the same system with the same
    compiler.

    Because of the large number of warnings and the resulting size of the
    output, a text file will be added to this report containing a complete
    history of the build, or failing that a link to a url.

    If further information is needed, please tell me and I will provide it
    asap.

    # uname -a
    SunOS devel 5.10 Generic sun4u sparc SUNW,Sun-Fire-V440

    # cc -V
    cc: Sun C 5.7 2005/01/07

    # ld -V
    ild: Sun Incremental Linker 4.3 2005/01/07

    # env | grep FLA
    LDFLAGS=-L/opt/sfw/lib -L/usr/sfw/lib -L/usr/local/open-ldap/lib
    -L/usr/lib -L/usr/local/BerkeleyDB/lib -R/opt/sfw/lib -R/usr/sfw/lib
    -R/usr/local/open-ldap/lib -R/usr/local/BerkeleyDB/lib -R/usr/lib
    CPPFLAGS=-I/opt/sfw/include -I/usr/sfw/include/openssl
    -I/usr/local/open-ldap/include -I/usr/local/BerkeleyDB/include/
    -I/usr/include
    CFLAGS=-I/opt/sfw/include -I/usr/sfw/include/openssl
    -I/usr/local/open-ldap/include -I/usr/local/BerkeleyDB/include
    -I/usr/include






    ------------------------------------------------------------------------


    --
    Edit this bug report at http://bugs.php.net/?id=40835&edit=1
    tony2001@php.net Guest

  5. #5

    Default #40835 [Asn->Fbk]: "Incompatible with prototype" warnings

    ID: 40835
    Updated by: net
    Reported By: ian at onlineloop dot com
    -Status: Assigned
    +Status: Feedback
    Bug Type: Compile Warning
    Operating System: Solaris 10
    PHP Version: 5.2.1
    Assigned To: tony2001
    New Comment:

    Any news?
    Btw, I've looked through the warnings and all of them are safe.
    Actually, I believe your compiler should not even report most of them.


    Previous Comments:
    ------------------------------------------------------------------------

    [2007-03-16 15:52:53] net

    Most of these warnings can be safely ignored (and do not exist if you
    use less strict compiler).

    ------------------------------------------------------------------------

    [2007-03-16 15:34:49] ian at onlineloop dot com

    OK, so it seems no text file attachments are possible, as such a link
    to the build history.

    http://www.meduniwien.ac.at/user/ib/php-5.2.1-solaris10_build.log.gz

    As for access to a machine, I will try to arrange something in the next
    couple of weeks.

    ------------------------------------------------------------------------

    [2007-03-16 15:04:39] net

    It would be very good to have an access to a machine with Sun Compiler,
    just for tests. As far as I know at the moment none of developers use
    Sun Compiler or test the builds using it.

    ------------------------------------------------------------------------

    [2007-03-16 14:56:42] ian at onlineloop dot com

    Description:
    ------------
    When compiling PHP 5.2.1 on Solaris 10, sparc, with Studio 10 compilers
    from Sun Microsystems, the build completes, however there are numerous
    warnings about the prototype declarations not matching their usage in
    the source code.

    A number of external libraries, such as libxml2, openssl, openldap, and
    so on have been compiled from source on the same system with the same
    compiler.

    Because of the large number of warnings and the resulting size of the
    output, a text file will be added to this report containing a complete
    history of the build, or failing that a link to a url.

    If further information is needed, please tell me and I will provide it
    asap.

    # uname -a
    SunOS devel 5.10 Generic sun4u sparc SUNW,Sun-Fire-V440

    # cc -V
    cc: Sun C 5.7 2005/01/07

    # ld -V
    ild: Sun Incremental Linker 4.3 2005/01/07

    # env | grep FLA
    LDFLAGS=-L/opt/sfw/lib -L/usr/sfw/lib -L/usr/local/open-ldap/lib
    -L/usr/lib -L/usr/local/BerkeleyDB/lib -R/opt/sfw/lib -R/usr/sfw/lib
    -R/usr/local/open-ldap/lib -R/usr/local/BerkeleyDB/lib -R/usr/lib
    CPPFLAGS=-I/opt/sfw/include -I/usr/sfw/include/openssl
    -I/usr/local/open-ldap/include -I/usr/local/BerkeleyDB/include/
    -I/usr/include
    CFLAGS=-I/opt/sfw/include -I/usr/sfw/include/openssl
    -I/usr/local/open-ldap/include -I/usr/local/BerkeleyDB/include
    -I/usr/include






    ------------------------------------------------------------------------


    --
    Edit this bug report at http://bugs.php.net/?id=40835&edit=1
    tony2001@php.net Guest

Similar Threads

  1. #39106 [Opn->Bgs]: date("w") incompatible with date("W")
    By tony2001@php.net in forum PHP Bugs
    Replies: 0
    Last Post: October 10th, 10:53 AM
  2. #39106 [NEW]: date("w") incompatible with date("W")
    By felixmallek at gmx dot de in forum PHP Bugs
    Replies: 0
    Last Post: October 10th, 10:42 AM
  3. CFINPUT type="radio" w/ "value" requires "label"
    By Iceborer in forum Macromedia ColdFusion
    Replies: 2
    Last Post: February 21st, 06:16 PM
  4. Web Captu"old or incompatible browser version"
    By Aandi_Inston@adobeforums.com in forum Adobe Acrobat Windows
    Replies: 0
    Last Post: April 23rd, 10:54 AM
  5. Web Captu"old or incompatible browser version"
    By B_Ishki@adobeforums.com in forum Adobe Acrobat Windows
    Replies: 0
    Last Post: April 23rd, 10:50 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139